/Users/bernard/b20/bsoft/include/rwSPE.h(3)

NAME
/Users/bernard/b20/bsoft/include/rwSPE.h - Header file for reading and writing SPE files.

SYNOPSIS

#include 'rwimg.h'

  Classes
struct SPEhead

  Macros
#define SPESIZE 4100

  Functions
int readSPE (Bimage *p, int readdata, int img_select)
Reading a SPE image file format.
int writeSPE (Bimage *p)
Writing a SPE image file format.

Detailed Description

Header file for reading and writing SPE files.

Author:
    Bernard Heymann

Date:
    Created: 20081105

    Modified: 20111217

    Format: SPE Princeton Instruments CCD image file format

Definition in file rwSPE.h.

Macro Definition Documentation

  #define SPESIZE 4100

Definition at line 13 of file rwSPE.h.

Function Documentation

  int readSPE (Bimage * p, int readdata, int img_select)

Reading a SPE image file format.

Parameters:
    *p the image structure.
    readdata flag to activate reading of image data.
    img_select image selection in multi-image file (-1 = all images).

Returns:
    int error code (<0 means failure). A Princeton Instruments CCD image file format. Header size: 4100 bytes (fixed). File format extension: .SPE. Byte order determination: data type field. Data types: 0 = float, 1 = int, 2 = short, 3 = unsigned short, 4 = string/char, 5 = double, 6 = char, 7 = unsigned char/byte.

Definition at line 33 of file rwSPE.cpp.

  int writeSPE (Bimage * p)

Writing a SPE image file format.

Parameters:
    *p the image structure.

Returns:
    int error code (<0 means failure). A Princeton Instruments CCD image file format.

Definition at line 119 of file rwSPE.cpp.

Author

Generated automatically by Doxygen for Bsoft from the source code.